Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470805 - Allow passing hexadecimal ids to "ipmitool sel delete"
Summary: Allow passing hexadecimal ids to "ipmitool sel delete"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On: 456246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 12:26 UTC by Jan Safranek
Modified: 2009-09-02 09:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 09:59:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1312 normal SHIPPED_LIVE OpenIPMI bug fix and enhancement update 2009-09-01 10:23:54 UTC

Description Jan Safranek 2008-11-10 12:26:36 UTC
+++ This bug was initially created as a clone of Bug #456246 +++

Description of problem:

"ipmitool sel list" list entries with the id in hexadecimal, but the "ipmitool
sel delete" does not parse hexadecimal values, which cause some confusion.

Version-Release number of selected component (if applicable):

ipmitool-1.8.9

How reproducible:

100% reproducible

Steps to Reproduce:
1.List SEL entries with
  # ipmitool sel list
2. Try to delete one of the entries
  # ipmitool sel delete 0x0100
  
Actual results:

Unable to delete entry 0: Invalid command

Expected results:

Unable to delete entry 256: Invalid command

Additional info:

The "Delete SEL command" is not available on all IPMI implementations (thus the
need for the "Get SEL Info Command" as defined in the IPMI 2.0 specification
that indicates if the delete command is available), but nevertheless "ipmitool
sel delete" command should be able to parse hexadecimal values to match the
output of "ipmitool sel list".

The (very simple) patch attached adds this functionality.

--- Additional comment from jsafrane@redhat.com on 2008-10-24 03:51:34 EDT ---

I can see it was sent upstream, with with no response...

 https://sourceforge.net/mailarchive/message.php?msg_name=60f2b0dc0808161356m70895ac3l6f60a312441dc802%40mail.gmail.com

Comment 1 Jan Safranek 2009-01-15 09:30:39 UTC
The patch was finally accepted upstream.

Comment 3 Jan Safranek 2009-03-16 15:47:44 UTC
Fixed by rebase to ipmitool-1.8.11

Comment 7 errata-xmlrpc 2009-09-02 09:59:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1312.html


Note You need to log in before you can comment on or make changes to this bug.